Bug 241552 - Enable additional software repos does not have repository available automatically....
Summary: Enable additional software repos does not have repository available automatic...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joel Andres Granados
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-28 01:19 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 17:34:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this (926 bytes, patch)
2007-05-28 01:46 UTC, Bill Nottingham
no flags Details | Diff
fixed patch (1.55 KB, patch)
2007-05-28 02:20 UTC, Bill Nottingham
no flags Details | Diff
Adding option to pull packages from the "Everything" repo. (1.57 KB, patch)
2007-08-21 14:10 UTC, Joel Andres Granados
no flags Details | Diff

Description Bill Nottingham 2007-05-28 01:19:11 UTC
Description of problem:

... so you can't do one-click installs from the Everything repo.

Version-Release number of selected component (if applicable):

F7-final

Comment 1 Bill Nottingham 2007-05-28 01:46:58 UTC
Created attachment 155528 [details]
patch for this

Patch. Feel free to name the option something else.

Comment 2 Bill Nottingham 2007-05-28 01:51:15 UTC
Um, don't take that patch as-is. Causes a traceback, AnacondaYumRepo object has
no attribute 'metadata_cookie'.

Comment 3 Bill Nottingham 2007-05-28 02:20:53 UTC
Created attachment 155529 [details]
fixed patch

You can't call repo.ready() on a repo that hasn't been setup. Perhaps a yum
bug, but let's not be picky.

Comment 4 Joel Andres Granados 2007-08-21 14:10:31 UTC
Created attachment 161976 [details]
Adding option to pull packages from the "Everything" repo.

I added to Bill's patch so the productVersion could also be included.


Note You need to log in before you can comment on or make changes to this bug.